/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.fel.k333.jerseytest.client;

import com.sun.jersey.api.client.Client;
import com.sun.jersey.api.client.ClientResponse;
import com.sun.jersey.api.client.WebResource;
import com.sun.jersey.api.client.config.ClientConfig;
import com.sun.jersey.api.client.config.DefaultClientConfig;
import com.sun.jersey.api.json.JSONConfiguration;
import cz.fel.k333.jerseytest.Person;

/**
 *
 * @author zdenekkouba
 */
public class ClientNew {
    public static void main (String[] args) throws Exception {
        ClientConfig clientConfig = new DefaultClientConfig();
        clientConfig.getFeatures().put(JSONConfiguration.FEATURE_POJO_MAPPING, Boolean.TRUE);

        Client client = Client.create(clientConfig);
        WebResource webResource;
        webResource = client.resource("http://localhost:8080/JerseyTest/rest/person/new");
        ClientResponse response;
        response = webResource.accept("application/json").get(ClientResponse.class);
        System.out.println("response.getStatus()=" + response.getStatus());
        if (response.getStatus() >= 300) {
            throw new Exception("failure: response.getStatus()=" + response.getStatus());
        }
        Person person = response.getEntity(Person.class);
        System.out.println("person.givenName=" + person.getGivenName());
        System.out.println("person.familyName=" + person.getFamilyName());
    }
}
